Bug 65801 - DRM modules missing from kernel RPM
DRM modules missing from kernel RPM
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.3
i586 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-05-31 16:01 EDT by Jason Lassaline
Modified: 2007-04-18 12:42 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-06-07 15:10:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jason Lassaline 2002-05-31 16:01:09 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i586; en-US; rv:0.9.9) Gecko/20020516

Description of problem:
Updated to the most recent kernel (2.4.18-4).  No DRI modules
(/lib/modules/2.4.18-4/kernel/drivers/char/drm) are included.  DRI modules are
necessary to activate X Acceleration for some video cards (eg. 3dfx based cards.)

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Install kernel.
2.Run X.
3.glxinfo
	

Actual Results:  glxinfo shows Mesa indirect rendering being used.

Expected Results:  glxinfo should show something like this:
OpenGL renderer string: Mesa DRI VoodooBanshee 20010501 x86/MMX/3DNow!


Additional info:

Installing the kernel source, recompiling from one of the src configs installs
everything, including the drm modules.
Comment 1 Arjan van de Ven 2002-06-05 05:58:26 EDT
The i386 configs don't have DRM, but the i586, i686 and athlon ones do. Which
did you use ?
Comment 2 Jason Lassaline 2002-06-05 09:07:10 EDT
I quite certain that I used the .i586 kernel.  I checked the original install
logs but they only indicate which kernel version was installed, not which
optimized version is installed.  I also booted the original RH 7.3 installed
kernel and the updated kernal.  Under both 'uname -a' shows i586.  Is there any
other way to check?  My machine is a AMD K6-III but it always identifies as a i586.
Comment 3 Brian Brock 2002-06-11 11:21:59 EDT
You can verify the architecture of the kernels installed with the rpm command:

rpm -q kernel --qf='%{NAME}-%{VERSION}-%{RELEASE}.%{ARCH}\n'

The "%{ARCH}" tag is filled with the architecture of the rpm package (i386,
i686, alpha, athlon, etc.).  It queries the rpm package info, not the binaries
inside the package, but it should work if your build environment was correct.
Comment 4 Jason Lassaline 2002-06-12 13:02:53 EDT
Well I checked and it's definitely i386.  That explains the missing modules, but
doesn't explain why the i386 kernel was installed.  There must be something
amiss with up2date, or else the original RH 7.3 installer installed an i386 kernel.

Note You need to log in before you can comment on or make changes to this bug.